# Generated by Django 3.1.14 on 2022-06-28 06:42

import app_kit.generic
import app_kit.models
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Frontend',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('primary_language', models.CharField(max_length=15)),
                ('name', models.CharField(max_length=255, null=True)),
                ('published_version', models.IntegerField(null=True)),
                ('current_version', models.IntegerField(default=1)),
                ('is_locked', models.BooleanField(default=False)),
                ('messages', models.JSONField(null=True)),
                ('global_options', models.JSONField(null=True)),
                ('frontend_name', models.CharField(default='Flat', max_length=355)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('preview_built_at', models.DateTimeField(null=True)),
            ],
            options={
                'verbose_name': 'Frontend',
                'verbose_name_plural': 'Frontends',
            },
            bases=(app_kit.models.SingleFeatureMixin, app_kit.models.ContentImageMixin, app_kit.generic.GenericContentMethodsMixin, models.Model),
        ),
        migrations.CreateModel(
            name='FrontendText',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('frontend_name', models.CharField(default='Flat', max_length=355)),
                ('identifier', models.CharField(max_length=355)),
                ('text', models.TextField()),
                ('frontend', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='frontend.frontend')),
            ],
            options={
                'unique_together': {('frontend', 'identifier')},
            },
        ),
    ]
